ViennaCL - The Vienna Computing Library: viennacl::linalg::spai_precond< viennacl::compressed_matrix< ScalarType, MAT_ALIGNMENT > > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::spai_precond< viennacl::compressed_matrix< ScalarType, MAT_ALIGNMENT > > Class Template Reference

Implementation of the SParse Approximate Inverse Algorithm for a ViennaCL compressed_matrix. More...

`#include <spai.hpp>`

## Public Member Functions
| spai_precond (const MatrixType &A, const spai_tag &tag)
| Constructor. More...
void | apply (VectorType &vec) const
| Application of current preconditioner, multiplication on the right-hand side vector. More...

## Detailed Description

### template<typename ScalarType, unsigned int MAT_ALIGNMENT>
class viennacl::linalg::spai_precond< viennacl::compressed_matrix< ScalarType, MAT_ALIGNMENT > >

Implementation of the SParse Approximate Inverse Algorithm for a ViennaCL compressed_matrix.

Parameters

  Matrix | matrix that is used for computations
  Vector | vector that is used for computations

Definition at line 124 of file spai.hpp.

## Constructor & Destructor Documentation

template<typename ScalarType , unsigned int MAT_ALIGNMENT>

viennacl::linalg::spai_precond< viennacl::compressed_matrix< ScalarType, MAT_ALIGNMENT > >::spai_precond | ( | const MatrixType & | A,
|  | const spai_tag & | tag
| ) |  |
| inline

Constructor.

Parameters

  A | matrix whose approximate inverse is calculated. Must be quadratic.
  tag | spai tag

Definition at line 138 of file spai.hpp.

## Member Function Documentation

template<typename ScalarType , unsigned int MAT_ALIGNMENT>

void viennacl::linalg::spai_precond< viennacl::compressed_matrix< ScalarType, MAT_ALIGNMENT > >::apply | ( | VectorType & | vec | ) | const
| inline

Application of current preconditioner, multiplication on the right-hand side vector.

Parameters

  vec | rhs vector

Definition at line 166 of file spai.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/spai.hpp